import { AssetSegmentMap } from "./AssetSegmentMap";
import { AssetStatus } from "./AssetStatus";
import { AssetType } from "./AssetType";
import { Coordinates } from "./Coordinates";
import { FederalSubmissionType } from "./FederalSubmissionType";

export class Asset {
    as_id?: number;
    as_name?: string;
    as_code?: string;
    as_guid?: string;
    rt_id?: number;
    as_parent_id: number | undefined;
    as_parent: number | undefined;
    Coordinates: Coordinates | undefined;
    as_root: boolean | undefined;
    as_deleted: boolean | undefined;
    at_id?: number;
    as_child_rt_id?: number;
    as_child_at_id?: number;
    as_summary: boolean | undefined;
    as_is_asset_view: boolean | undefined;
    asset_status_id?: number;
    as_last_snapshot_date?: string;//($date - time)
    as_is_internal: boolean | undefined;
    as_sub_asset_parent: boolean | undefined;
    as_last_update_date?: string;//($date - time)
    as_default_file_set_date?: string;//($date - time)
    as_stage_pontis: boolean | undefined;
    as_federal_submission_type: FederalSubmissionType | undefined;
    asset_segment_map: AssetSegmentMap | undefined;
    corridor?: string;
    as_created_date?: string;//($date - time)
    as_created_by_in_id?: number;
    childCount?: number;
    assetsStatus: AssetStatus | undefined;
    assetType: AssetType | undefined;

    as_asset_def: number | undefined;

    as_bhi?: number;

    as_corridor: boolean | undefined;


}





