import axios, { AxiosRequestConfig } from "axios";

export class AssetDetailField {
    /**
     * Get the Display Fields that are shown on the AssetDetails Page/ Base Details Page for the asset
     * @param accessToken
     * @param apiUrl
     * @param as_id
     */
    public static async GetDisplayFields(accessToken: string, apiUrl: string, as_id: number) {

        apiUrl = apiUrl + "api/AssetDetailField/GetDisplayFields/" + as_id;
        const response = await axios.get(apiUrl, { headers: { "Authorization": `Bearer ${accessToken}` } });
        return response.data;
    }
}